<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.ApplicationProfile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html">ApplicationProfile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_application_profile-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.ApplicationProfile Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains methods for an application profile.  
 <a href="class_semantic_search_implementation_1_1_application_profile.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchImplementation.ApplicationProfile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_implementation_1_1_application_profile.png" usemap="#SemanticSearchImplementation.ApplicationProfile_map" alt=""/>
  <map id="SemanticSearchImplementation.ApplicationProfile_map" name="SemanticSearchImplementation.ApplicationProfile_map">
<area href="class_semantic_search_implementation_1_1_specific_application_profile.html" title="Represents a specific application profile." alt="SemanticSearchImplementation.SpecificApplicationProfile" shape="rect" coords="0,56,336,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a670c702984050548788edc50ff74eb38"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a670c702984050548788edc50ff74eb38">ApplicationProfile</a> (<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> RDFClient)</td></tr>
<tr class="separator:a670c702984050548788edc50ff74eb38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e0aa535802dae89d2de1f90084b154"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; Triple &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a23e0aa535802dae89d2de1f90084b154">GetGeneralAdditionalTriples</a> (string graphName)</td></tr>
<tr class="memdesc:a23e0aa535802dae89d2de1f90084b154"><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes general additional rules for a given metadata graph.  <a href="class_semantic_search_implementation_1_1_application_profile.html#a23e0aa535802dae89d2de1f90084b154">More...</a><br /></td></tr>
<tr class="separator:a23e0aa535802dae89d2de1f90084b154"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:abbc97873fbb32bc63308fa87dc01e0dc"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#abbc97873fbb32bc63308fa87dc01e0dc">_RDFClient</a></td></tr>
<tr class="separator:abbc97873fbb32bc63308fa87dc01e0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af01d0f59fb8886a4071186d100e587b1"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#af01d0f59fb8886a4071186d100e587b1">_generalLiteralRules</a></td></tr>
<tr class="separator:af01d0f59fb8886a4071186d100e587b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b34d9f5e4fdb4d5cb42ae84aa18114a"><td class="memItemLeft" align="right" valign="top">readonly IEnumerable&lt; <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a3b34d9f5e4fdb4d5cb42ae84aa18114a">_generalAdditionalRules</a></td></tr>
<tr class="separator:a3b34d9f5e4fdb4d5cb42ae84aa18114a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains methods for an application profile. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a670c702984050548788edc50ff74eb38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a670c702984050548788edc50ff74eb38">&#9670;&nbsp;</a></span>ApplicationProfile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.ApplicationProfile.ApplicationProfile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td>
          <td class="paramname"><em>RDFClient</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a23e0aa535802dae89d2de1f90084b154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23e0aa535802dae89d2de1f90084b154">&#9670;&nbsp;</a></span>GetGeneralAdditionalTriples()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;Triple&gt; SemanticSearchImplementation.ApplicationProfile.GetGeneralAdditionalTriples </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Executes general additional rules for a given metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of general additional triples.</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3b34d9f5e4fdb4d5cb42ae84aa18114a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b34d9f5e4fdb4d5cb42ae84aa18114a">&#9670;&nbsp;</a></span>_generalAdditionalRules</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IEnumerable&lt;<a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a>&gt; SemanticSearchImplementation.ApplicationProfile._generalAdditionalRules</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af01d0f59fb8886a4071186d100e587b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af01d0f59fb8886a4071186d100e587b1">&#9670;&nbsp;</a></span>_generalLiteralRules</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IDictionary&lt;string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a>&gt; SemanticSearchImplementation.ApplicationProfile._generalLiteralRules</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abbc97873fbb32bc63308fa87dc01e0dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbc97873fbb32bc63308fa87dc01e0dc">&#9670;&nbsp;</a></span>_RDFClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> SemanticSearchImplementation.ApplicationProfile._RDFClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_application_profile_8cs.html">ApplicationProfile.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
